Bug 820690 - [abrt] terminator-0.96-2.fc17: config.py:344:get_system_focus:AttributeError: 'NoneType' object has no attribute 'get_string'
[abrt] terminator-0.96-2.fc17: config.py:344:get_system_focus:AttributeError:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:5c61f018565c779326ee18986c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 13:27 EDT by John Poelstra
Modified: 2013-06-28 17:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 17:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Poelstra 2012-05-10 13:27:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         3.3.4-5.fc17.x86_64
time:           Wed 09 May 2012 06:44:02 PM PDT
uid:            1000

backtrace:
:config.py:344:get_system_focus:AttributeError: 'NoneType' object has no attribute 'get_string'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/terminatorlib/terminal.py", line 1055, in on_vte_notify_enter
:    sloppy = self.config.get_system_focus() in ['sloppy', 'mouse']
:  File "/usr/lib/python2.7/site-packages/terminatorlib/config.py", line 344, in get_system_focus
:    self.system_focus = value.get_string()
:AttributeError: 'NoneType' object has no attribute 'get_string'
:
:Local variables in innermost frame:
:self: <terminatorlib.config.Config object at 0x186e190>
:value: None
Comment 1 Jay Turner 2012-06-08 07:14:55 EDT
I selected "GNOME Default" for window focus behavior.

Package: terminator-0.96-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 jollyloggers 2012-06-08 12:38:57 EDT
I changed the click to focus to Gnome Default

Package: terminator-0.96-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 jollyloggers 2012-06-20 11:09:42 EDT
I was setting the focus to Gnome default, which follow mouse pointer.

Package: terminator-0.96-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Laurent Meunier 2012-06-24 08:08:01 EDT
I have just launched Terminator from the panel...

Package: terminator-0.96-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Patrick C. F. Ernzer 2013-04-02 08:49:32 EDT
FWIW, being a KDE user[1], the bug seems to disappear for me when I switch the terminator Mouse focus setting from "GNOME default" to "Follow mouse pointer".

[1] the machine I experienced the bug on does not have gnome installed, it's a fresh install on a new machine and I chose KDE when installing.
Comment 6 vbakayev 2013-04-11 06:03:26 EDT
upstream bug:
https://bugs.launchpad.net/terminator/+bug/1126116
Comment 7 Dominic Hopf 2013-06-28 17:56:42 EDT
Should be fixed with 0.97 then. Thanks very much for reporting.

Note You need to log in before you can comment on or make changes to this bug.